summaryrefslogtreecommitdiffstats
path: root/network/mpop/mpop.SlackBuild
diff options
context:
space:
mode:
author Marek Buras2010-05-13 00:37:21 +0200
committer David Somero2010-05-13 00:37:21 +0200
commitbb917a236666a3a2263040610235f53558c5e61d (patch)
tree24fa98f39b3a5db24a8f1c58d13c4c0f13037055 /network/mpop/mpop.SlackBuild
parentf51a7a5260b53f75ace4f7efd2b96bcef2afd4b8 (diff)
downloadslackbuilds-bb917a236666a3a2263040610235f53558c5e61d.tar.gz
network/mpop: Updated for version 1.0.18
Diffstat (limited to 'network/mpop/mpop.SlackBuild')
-rw-r--r--network/mpop/mpop.SlackBuild20
1 files changed, 14 insertions, 6 deletions
diff --git a/network/mpop/mpop.SlackBuild b/network/mpop/mpop.SlackBuild
index 78374b2d4e..629231d005 100644
--- a/network/mpop/mpop.SlackBuild
+++ b/network/mpop/mpop.SlackBuild
@@ -8,7 +8,7 @@
PRGNAM=mpop
-VERSION=${VERSION:-1.0.13}
+VERSION=${VERSION:-1.0.18}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -20,10 +20,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -45,17 +48,21 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--infodir=/usr/info \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
make || exit 1
make install-strip DESTDIR=$PKG || exit 1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -66,13 +73,14 @@ make install-strip DESTDIR=$PKG || exit 1
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*.info*
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/scripts/vim
cp -a AUTHORS COPYING ChangeLog INSTALL NEWS NOTES README \
THANKS doc/mpoprc.example $PKG/usr/doc/$PRGNAM-$VERSION
+cp scripts/vim/README scripts/vim/mpop.vim $PKG/usr/doc/$PRGNAM-$VERSION/scripts/vim
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}